macroScript ChReEn
	category: "Oliver Emley"
	toolTip:"Change Render Engine"

(
try (destroydialog RenderEngineChangeTool) catch()

rollout RenderEngineChangeTool "Render Engine Change" Width: 200
(
	local rc = RendererClass.classes
	group "Assign Render Engine"
	
			(
				dropdownlist RendDpr items: #(deleteItem rc (findItem rc Missing_Renderer)as string)
					tooltip: "select Render from list to activate"
				)
				
			group "Current Renderer"
				(
					Label inf "" 
					
				)

				on RenderEngineChangeTool open do 
				(
					renddpr.items = for r in rc collect (r as string)
					inf.text = (filterString (renderers.current as string) ":")[1]
				)
		
				on rendDpr selected index do 
					(
						renderers.current = rc[index]()
						inf.text = rendDpr.items[index] 
					)
					
	group "Render Dialog" 
					(
						button RSetupOpen "Open" pos:[10,116] tooltip:"Opens Render Setup Dialog"
						button RSetupClose "Close" pos:[60,116] tooltip:"Closes Render Setup Dialog"
						Button RendNow "Render Now" pos:[110,116] tooltip:"Renders Active View"
					)
		-- Credits--
	group  "About"
	(
	label credit1 "Change Render Engines Version 2.0" 
	label credit2 "Created By Oliver Emley" 
	hyperLink creditLink "www.oliveremley.carbonmade.com" color:[0,0,0] hoverColor:[255,255,255] visitedColor:[0,0,0] address:"http://www.oliveremley.carbonmade.com"
	hyperlink labLink "Email:oliveremley@me.com" align:#center color:(color 0 0 100) hovercolor:(color 0 0 255) visitedcolor:(color 0 0 100) address:"mailto:oliveremley@me.com"
	)
	on RendNow pressed do
	(
		render ()-- Renders
	)
	
	
	on RSetupOpen pressed do
	(
		renderSceneDialog.open()  -- Render: Render SetUp open
		)
	
		on RSetupClose pressed do
	(
		renderSceneDialog.Close()  -- Render: Render SetUp close
		)
		
		
	
)


CreateDialog  RenderEngineChangeTool -- Create Dialoge
)